

const UserDetailsCard = ({ data }) => {
    const { name, photo, samityName, branchName, userPhoneNumber } = data;
    return (
        <div className="bg-gray-50 rounded-md mb-2">
            <div className="max-w-md rounded  p-2 sm:flex sm:space-x-6 bg-gray-50 text-gray-800">
                <div className="flex-shrink-0 w-full mb-6 h-44 sm:h-32 sm:w-32 sm:mb-0">
                    <img src={photo} alt="" className="object-cover object-center w-full h-full rounded bg-gray-500" />
                </div>
                <div className="flex flex-col space-y-4">
                    <div className="border-b-2">
                        <h2 className="text-2xl font-semibold">{name}</h2>
                        {/* <span className="text-sm text-gray-600">General manager</span> */}
                        <span className="flex items-center space-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" aria-label="Phonenumber" className="w-4 h-4">
                                <path fill="currentColor" d="M449.366,89.648l-.685-.428L362.088,46.559,268.625,171.176l43,57.337a88.529,88.529,0,0,1-83.115,83.114l-57.336-43L46.558,362.088l42.306,85.869.356.725.429.684a25.085,25.085,0,0,0,21.393,11.857h22.344A327.836,327.836,0,0,0,461.222,133.386V111.041A25.084,25.084,0,0,0,449.366,89.648Zm-20.144,43.738c0,163.125-132.712,295.837-295.836,295.837h-18.08L87,371.76l84.18-63.135,46.867,35.149h5.333a120.535,120.535,0,0,0,120.4-120.4v-5.333l-35.149-46.866L371.759,87l57.463,28.311Z"></path>
                            </svg>
                            <span className="text-gray-600 ">{userPhoneNumber}</span>
                        </span>
                        {/* <div className="divider "></div> */}
                    </div>
                    <div className="space-y-1">
                        <span className="flex items-center space-x-2">
                            <img src="/card icon/branch-svgrepo-com.svg" alt="" className="w-4 h-4" />
                            <span className="text-gray-600 font-medium">Branch : <span className="font-normal">{branchName}</span> </span>
                        </span>
                        <span className="flex items-center space-x-2">
                            <img src="/card icon/group-svgrepo-com.svg" alt="" className="w-4 h-4" />
                            <span className="text-gray-600 font-medium">Samity : <span className="font-normal">{samityName}</span> </span>
                        </span>

                    </div>
                </div>
            </div>
        </div>
    );
};

export default UserDetailsCard;