import ManageBankCashNav from "./ManageBankCashNav/ManageBankCashNav";
import { useState } from "react";

const initialState = {
  cashInAmount: "",
  cashOutAmount: "",
  bankName: "",
  date: "",
  sourceDetails: "",
  remarks: "",
};

const BankCash = () => {
  const [getFormData, setFormData] = useState(initialState);
  const handleChange = (event) => {
    const { name, value } = event.target;
    console.log(name, value);
    setFormData((prev) => {
      return { ...prev, [name]: value };
    });
  };
  const handleSubmit = (event) => {
    event.preventDefault();
    console.log(getFormData);
    setFormData();
  };

  return (
    <div>
      <section>
        <ManageBankCashNav />
      </section>

      <section className="m-4">
        <h1 className="text-xl font-bold text-start max-w-5xl mx-auto  pt-4 border-b-4 pb-2 ">
          Bank Cash{" "}
        </h1>
        <form className="my-8">
          <section className="grid grid-cols-1 md:grid-cols-3 max-w-5xl mx-auto gap-4">
            <div className="flex flex-col gap-1">
              <label className="font-medium" htmlFor="cash_in_amount">
                Cash In Amount :
              </label>
              <input
                className="input input-bordered input-sm  hover:border-teal-500  "
                id="cash_in_amount"
                name="cashInAmount"
                onChange={handleChange}
                type="number"
                placeholder="enter cash in amount"
              />
            </div>

            <div className="flex flex-col gap-1">
              <label className="font-medium" htmlFor="cash_out_amount">
                Cash Out Amount :
              </label>
              <input
                className="input input-bordered input-sm  hover:border-teal-500  "
                id="cash_out_amount"
                name="cashOutAmount"
                onChange={handleChange}
                type="number"
                placeholder="enter cash out amount"
              />
            </div>

            <div className="flex flex-col gap-1">
              <label className="font-medium" htmlFor="bank_name">
                Bank Name :
              </label>
              <input
                className="input input-bordered input-sm  hover:border-teal-500  "
                id="bank_name"
                name="bankName"
                onChange={handleChange}
                type="text"
                placeholder="enter bank name"
              />
            </div>

            <div className="flex flex-col gap-1 ">
              <label className="font-medium" htmlFor="date">
                {" "}
                Date :
              </label>
              <input
                className="input input-bordered input-sm  hover:border-teal-500  "
                id="date"
                name="date"
                onChange={handleChange}
                type="date"
                placeholder=""
              />
            </div>

            <div className="flex flex-col gap-1">
              <label className="font-medium" htmlFor="source_details">
                Source Details:
              </label>
              <textarea
                className="input input-bordered hover:border-teal-500 "
                id="source_details"
                name="sourceDetails"
                onChange={handleChange}
                cols="10"
                rows="1"
              ></textarea>
            </div>

            <div className="flex flex-col gap-1">
              <label className="font-medium" htmlFor="remarks">
                {" "}
                Remarks :
              </label>
              <textarea
                className="input input-bordered hover:border-teal-500 "
                id="remarks"
                name="remarks"
                onChange={handleChange}
                cols="10"
                rows="1"
              ></textarea>
            </div>
          </section>
        </form>

        <div className="w-full flex justify-center  m-8">
          <button
            className="bg-teal-600 hover:bg-teal-700 px-10 py-2 rounded font-medium     text-white"
            onClick={handleSubmit}
            type="submit"
          >
            Submit
          </button>
        </div>
      </section>
    </div>
  );
};

export default BankCash;
