<?php
// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Database connection details
$servername = "localhost";
$username = "atctgwlk_cpses_atozo2xp6z";
$password = "atc_tech_Academy";
$database = "atctgwlk_atc_academy";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL query to fetch data from the student_admissions table
$sql = "SELECT id,createdAt, applicantName,id, applicantMobile, referrerName, referrerMobile, courseName, courseFee, discountedAmount,paymentMethod, paymentAmount FROM student_admissions";
$result = $conn->query($sql);
?>


<?php
include('includes/header.php'); 
include('includes/navbar.php'); 
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ATC Tech Ltd Admin Panel</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        .print-button {
            background-color: #0f79b9;
            color: white;
            border: none;
            padding: 0.5rem 1rem;
            border-radius: 0.25rem;
            cursor: pointer;
            margin-left: 0.5rem;
        }

        .print-button:hover {
            background-color: #0c5d8f;
        }
        
         .unpaid {
            min-width: 50px;
            background-color: red;
            color: white;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }
        
        .paid {
            min-width: 70px;
            background-color: green;
            color: white;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }
         .upgrade {
            min-width: 50px;
            background-color: black;
            color: white;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }
        
        .upgraded {
            min-width: 70px;
            background-color: blue;
            color: white;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }
    </style>
</head>

<body>
<!-- Begin Page Content -->
<div class="container-fluid">

  <!-- Page Heading -->
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
    <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
        class="fas fa-download fa-sm text-white-50"></i> Generate Report</a>
  </div>

  <!-- Content Row -->
  <section id="students" style="margin-top: 2rem;">
            <h2 style="color: #333;">Student List</h2>
            <table style="width: 100%; border-collapse: collapse; background-color: white; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                <thead>
                    <tr style="background-color: #0f79b9; color: white;">
                         <th style="padding: 0.75rem; text-align: left;">SL.</th>
                          <th style="padding: 0.75rem; text-align: left;">Date</th>
                           <th style="padding: 0.75rem; text-align: left;">Name</th>
                        <th style="padding: 0.75rem; text-align: left;">ID</th>
                      
                        <th style="padding: 0.75rem; text-align: left;">Mobile</th>
                        <th style="padding: 0.75rem; text-align: left;">Referrer Name</th>
                         <th style="padding: 0.75rem; text-align: left;">Referrer Contact</th>
                        <th style="padding: 0.75rem; text-align: left;">Course</th>
                        <th style="padding: 0.75rem; text-align: left;">Fee</th>
                        <th style="padding: 0.75rem; text-align: left;">Discounted Amount</th>
                        <th style="padding: 0.75rem; text-align: left;">Payment Method</th>
                        <th style="padding: 0.75rem; text-align: left;">Paid Amount</th>
                        <th style="text-align: left;">Actions
                          <th style="text-align: center; padding-right: 30px;">Status</th><th>Upgradation</th></th>
                    </tr>
                </thead>
                <tbody id="student-table-body">
    <?php
    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            echo "<tr>";
            echo "<td>" . $row["id"] . "</td>";
            echo "<td>" . $row["createdAt"] . "</td>";
            echo "<td>" . $row["applicantName"] . "</td>";
            echo "<td>" . $row["id"] . "</td>";
            echo "<td>" . $row["applicantMobile"] . "</td>";
            echo "<td>" . $row["referrerName"] . "</td>";
            echo "<td>" . $row["referrerMobile"] . "</td>";
            echo "<td>" . $row["courseName"] . "</td>";
            echo "<td>" . $row["courseFee"] . "</td>";
            echo "<td>" . $row["discountedAmount"] . "</td>";
            echo "<td>" . $row["paymentMethod"] . "</td>";
            echo "<td>" . $row["paymentAmount"] . "</td>";
            echo "<td><button onclick=\"printData('" . $row["id"] . "','" . $row["createdAt"] . "', '" . $row["applicantName"] . "','" . $row["id"] . "', '" . $row["applicantMobile"] . "', '" . $row["referrerName"] . "', '" . $row["referrerMobile"] . "', '" . $row["courseName"] . "', " . floatval($row["courseFee"]) . "," . floatval($row["discountedAmount"]) . ",'" . $row["paymentMethod"] . "',  " . floatval($row["paymentAmount"]) . ")\">Print</button></td>";
            echo "<td><button class=\"unpaid\" onclick=\"togglePayment(this)\">Unpaid</button></td>";
            echo "<td><button class=\"upgrade\" onclick=\"toggleUpgrade(this)\">Upgrade</button></td>";
            echo "</tr>";
        }
    } else {
        echo "<tr><td colspan='7'>No data available</td></tr>";
    }
    ?>
</tbody>
</table>
</section>
<script>
   function printData(id, createdAt, applicantName, id, applicantMobile, referrerName, referrerMobile, courseName, courseFee, discountedAmount,paymentMethod,  paymentAmount) {
  // Ensure values are numbers
  courseFee = parseFloat(courseFee);
  discountedAmount = parseFloat(discountedAmount);
  paymentAmount = parseFloat(paymentAmount);

  // Format the monetary values
  var formattedFee = "BDT " + courseFee.toLocaleString('en-US');
  var formattedDiscountedAmount = "BDT " + discountedAmount.toLocaleString('en-BD');
  var formattedPaid = "BDT " + paymentAmount.toLocaleString('en-US');

  // Extract the date part from the createdAt timestamp
  var createdDate = new Date(createdAt).toLocaleDateString('en-GB');

  var printContent = `
<html>
<head>
  <title>Money Receipt</title>
  <style>
  html{
      margin-top: 0;
  }
    body {
      font-family: Arial, sans-serif;
      margin: 0 auto;
      padding: 0;
      height: 100vh;
      display: flex;
      flex-direction: column;
    }

    .container {
    margine: 0 auto;
    width: 75%;
    height: 40%;
      display: flex;
      text-align: left;
      flex-direction: column;
    }

    
    .table-column{
        display: flex;
        display: space-between;
    }


    .receipt-table1 p {
      margin: 0 auto;
      text-align: left;
    }
    .receipt-table2 p {
      margin: 0 auto;
      text-align: left;
    }


    @media (max-width: 767px) {
      .container {
        flex-direction: column;
        }
    }
  </style>
</head>
<body>
  <div class="container" style="margin: 0 auto;">
   <div class="logo">
   <div style="display:flex; justify-content: flex-start; align-items: center; text-align: left;">
   <div style="text-align: center; justify-content: center; align-items: center; flex-basis: 15%;"><h1 style="color: blue; margin-bottom: -10%; font-size:1.8rem;">A<span style="color: grey;">T</span>C</h1> <br> <span style="font-size: .7rem;">TECH Limited</span>
   </div>
   <div style="margin-left: 3%; width: 100%; margin-top: 2%;">
   <span style=" color: black; font-size: 1.4rem;  font-weight: bold; margin-bottom: -3%;">ATC SOFT ACADEMY</span> <br> 
   <span style="width: 100%; font-size: .7rem;"><span style="font-weight: bold;">Rajshahi Office:</span> Silicon Tower, Level # 7, Suit # A, Hi-Tech Park, Rajshahi, Bangladesh</span> <br> 
   <span style="width: 100%; font-size: .7rem;">
   <span style="font-weight: bold;">WEB:</span> www.atctechltd.com, <span style="font-weight: bold;">Email:</span> academy.atc.info@gmail.com, <span style="font-weight: bold;">TELE:</span> 02588878917-18 
   <span style="font-weight: bold;">Mobile:</span> +8801731805079 (<b>WhatsApp</b>)</span>
   
   </div>
   </div>
    <div style="border: 1px solid black;  width: 100%;  margin: 0 auto; margin-top: 10px"></div>
  </div>
  <h1 style="text-align: center; font-size: 1.1rem; border: 1px solid black; width: 200px; margin: 0 auto; margin-bottom: 15px; margin-top: 15px;">Money Receipt</h1>
    <div class="table-column" style="width: 100%; display: flex; justify-content: space-between;">
      <div class="receipt-table1">
        <p style="text-align: left; margin-bottom: 3%; ">M.R. Serial No.:  ....................<span style="font-size: .9rem; font-weight: bold;">${id}</span>.................................</p>
        <p style="text-align: left; margin-bottom: 3%; ">Name:  ....................<span style="font-size: .8rem; font-weight: bold;">${applicantName}</span>......</p>
        <p style="text-align: left; margin-bottom: 3%; ">Mobile:  .................<span style="font-size: .8rem; font-weight: bold;">${applicantMobile}</span>......................................</p>
        <p style="text-align: left; margin-bottom: 3%;">Fees:  ....................<span style="font-size: .8rem; font-weight: bold;">${formattedFee}</span>.......................................</p>
        <p style="text-align: left; margin-bottom: 3%;">Fees (After discount):  ....................<span style="font-size: .8rem; font-weight: bold;">${formattedDiscountedAmount}</span>....</p>
        <p style="text-align: left; margin-bottom: 3%;">Referrer Name:  .....<span style="font-size: .8rem; font-weight: bold;">${referrerName}</span>.................</p>
      </div>
      <div class="receipt-table2" style="width: 45%;">
        <p style="text-align: left; margin-bottom: 3%; ">Date:  ...............<span style="font-size: .8rem; font-weight: bold;">${createdDate}</span>...............................</p>
        <p style="text-align: left; margin-bottom: 3%; ">Applicant ID:  ....<span style="font-size: .8rem; font-weight: bold;">${id}</span>.........................................</p>
        <p style="text-align: left; margin-bottom: 3%; ">Course:  ............<span style="font-size: .8rem; font-weight: bold;">${courseName}</span>....</p>
        <p style="text-align: left; margin-bottom: 3%;">Payment Method:  ....................<span style="font-size: .8rem; font-weight: bold;">${paymentMethod}</span>....</p>
        <p style="text-align: left; margin-bottom: 3%;">Paid Amount: ...<span style="font-size: .8rem; font-weight: bold;">${formattedPaid}</span>................................</p>
        <p style="text-align: left; margin-bottom: 3%;">Referrer Contact:  ....<span style="font-size: .8rem; font-weight: bold;">${referrerMobile}</span>......................</p>
        </div>
    </div>
    <p style="font-size: 12px;"><b>Disclaimer:- </b>This is a system-generated electronic receipt, hence no physical signature is required for the purpose of authentication</p>
  <p style="text-align: center; font-size: 14px;"><b>Please reserve the money receipt copy</b></p>
</body>
</html>
`;

  var printWindow = window.open('', 'PRINT', 'height=400,width=600');
  printWindow.document.write('<html><head><title>Money Receipt</title>');
  printWindow.document.write('</head><body>');
  printWindow.document.write(printContent);
  printWindow.document.write('</body></html>');
  printWindow.document.close();
  printWindow.focus();
  printWindow.print();
  printWindow.close();
}
    </script>
    
    <script>
         function togglePayment(button) {
        if (button.classList.contains('unpaid')) {
            button.classList.remove('unpaid');
            button.classList.add('paid');
            button.textContent = '  Paid'; // Change text to "paid"
        } else {
            button.classList.remove('paid');
            button.classList.add('unpaid');
            button.textContent = 'Unpaid'; // Change text back to "unpaid"
        }
    }
         function toggleUpgrade(button) {
        if (button.classList.contains('upgrade')) {
            button.classList.remove('upgrade');
            button.classList.add('upgraded');
            button.textContent = '  Upgraded'; // Change text to "paid"
        } else {
            button.classList.remove('upgraded');
            button.classList.add('upgrade');
            button.textContent = 'Upgrade'; // Change text back to "unpaid"
        }
    }
    </script>

</body>









  <?php
include('includes/scripts.php');
include('includes/footer.php');
?>