<?php
// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Start session
session_start();

// Database connection details
$servername = "localhost";
$username = "atctgwlk_cpses_atozo2xp6z";
$password = "atc_tech_Academy";
$database = "atctgwlk_atc_academy";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Initialize variables
$result = null;
$error = '';

// Get user's specific data
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['applicantMobile'])) {
    $applicantMobile = $conn->real_escape_string($_POST['applicantMobile']);
    
    // First, check if the mobile number exists in the referrer table
    $checkSql = "SELECT applicantMobile FROM referrer WHERE applicantMobile = '$applicantMobile'";
    $checkResult = $conn->query($checkSql);
    
    if ($checkResult->num_rows > 0) {
        // If it exists, fetch the related student admissions
        $sql = "SELECT t1.id, t1.createdAt, t1.applicantName, t1.applicantMobile, t1.referrerName, t1.referrerMobile, t1.courseName, t1.courseFee, t1.paymentAmount, t2.applicantMobile AS referrer_applicantMobile
                FROM student_admissions t1
                JOIN referrer t2 ON t1.referrerMobile = t2.applicantMobile
                WHERE t2.applicantMobile = '$applicantMobile'";
        $result = $conn->query($sql);
        
        if ($result->num_rows == 0) {
            $error = "No students found for this referrer.";
        }
    } else {
        $error = "No referrer found with this mobile number.";
    }
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ATC Tech Ltd Admin Panel</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap" rel="stylesheet">
     <link href="https://cdn.jsdelivr.net/npm/tailwindcss/dist/tailwind.min.css" rel="stylesheet">
     
<link href="https://cdn.jsdelivr.net/npm/daisyui@4.12.10/dist/full.min.css" rel="stylesheet" type="text/css" />
<script src="https://cdn.tailwindcss.com"></script>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
         .unpaid {
            min-width: 50px;
            background-color: red;
            color: white;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }
        
        .paid {
            min-width: 70px;
            background-color: green;
            color: white;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }
        
         @media (max-width: 768px) {
        thead {
            display: none;
        }

        tbody tr {
            display: block; /* Make each row a block */
            margin-bottom: 1rem; /* Space between rows */
            border: 1px solid #ddd; /* Border for each row */
            border-radius: 5px; /* Rounded corners */
            padding: 1rem; /* Padding inside rows */
            background-color: white; /* Background color */
            box-shadow: 0 2px 4px rgba(0,0,0,0.1); /* Shadow for depth */
        }

        td {
            display: flex; /* Use flexbox for cells */
            justify-content: space-between; /* Space out label and value */
            padding: 0.5rem 0; /* Vertical padding */
            border: none; /* No borders */
            border-bottom: 1px solid #ddd; /* Bottom border for separation */
        }

        /* Rotate header labels */
        th {
            writing-mode: vertical-rl; /* Change writing mode to vertical */
            transform: rotate(180deg); /* Rotate text to be upright */
            white-space: nowrap; /* Prevent text wrapping */
            height: 150px; /* Adjust height for vertical space */
            vertical-align: bottom; /* Align text to the bottom */
        }

        /* Show labels for each cell */
        td::before {
            content: attr(data-label); /* Use data-label for header */
            font-weight: bold; /* Bold font for labels */
            margin-right: 10px; /* Space between label and value */
            display: inline-block; /* Block display for spacing */
        }
    }
    </style>
</head>
<body>
    
 <?php
    include('includes/header.php');
    include('includes/navbar.php');
    ?>
<!-- Begin Page Content -->
<div class="container-fluid">
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
        </div>

        <section id="students" style="margin-top: 2rem;">
            <h2 style="color: #333;" class="font-black text-4xl">Student List</h2>
            <div class="flex align-center">
                <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
                    <label for="applicantMobile">Enter referrer's mobile number:</label>
                    <input class="border-2 h-8" type="text" id="applicantMobile" name="applicantMobile" required>
                    <button type="submit" class="ml-2 md:-mt-10 mt-2 btn btn-active">Show Data</button>
                </form>
            </div>

            <?php if (!empty($error)): ?>
                <p style="color: red;"><?php echo $error; ?></p>
            <?php endif; ?>

            <div class="overflow-x-auto mt-4">
                <table style="width: 100%; border-collapse: collapse; background-color: white; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                    <thead>
                        <tr style="background-color: #0f79b9; color: white;">
                            <th style="padding: 0.75rem; text-align: left;">SL.</th>
                            <th style="padding: 0.75rem; text-align: left;">Date</th>
                            <th style="padding: 0.75rem; text-align: left;">Name</th>
                            <th style="padding: 0.75rem; text-align: left;">ID</th>
                            <th style="padding: 0.75rem; text-align: left;">Mobile</th>
                            <th style="padding: 0.75rem; text-align: left;">Referrer Name</th>
                            <th style="padding: 0.75rem; text-align: left;">Referrer Contact</th>
                            <th style="padding: 0.75rem; text-align: left;">Course</th>
                            <th style="padding: 0.75rem; text-align: left;">Fee</th>
                            <th style="padding: 0.75rem; text-align: left;">Paid Amount</th>
                            <th style="padding: 0.75rem; text-align: left;">Status</th>
                        </tr>
                    </thead>
                    <tbody id="student-table-body">
                        <?php
                        if ($result && $result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                echo "<tr>";
                                echo "<td data-label='SL.'>" . $row["id"] . "</td>";
                                echo "<td data-label='Date'>" . $row["createdAt"] . "</td>";
                                echo "<td data-label='Name'>" . $row["applicantName"] . "</td>";
                                echo "<td data-label='ID'>" . $row["id"] . "</td>";
                                echo "<td data-label='Mobile'>" . $row["applicantMobile"] . "</td>";
                                echo "<td data-label='Referrer Name'>" . $row["referrerName"] . "</td>";
                                echo "<td data-label='Referrer Contact'>" . $row["referrerMobile"] . "</td>";
                                echo "<td data-label='Course'>" . $row["courseName"] . "</td>";
                                echo "<td data-label='Fee'>" . $row["courseFee"] . "</td>";
                                echo "<td data-label='Paid Amount'>" . $row["paymentAmount"] . "</td>";
                                echo "<td><button class=\"unpaid\" onclick=\"togglePayment(this)\">Unpaid</button></td>";
                                echo "</tr>";
                            }
                        } else if ($_SERVER["REQUEST_METHOD"] == "POST") {
                            echo "<tr><td colspan='11' class='text-center py-2'>No data available</td></tr>";
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </section>
    </div>

    <script>
        function togglePayment(button) {
            if (button.classList.contains('unpaid')) {
                button.classList.remove('unpaid');
                button.classList.add('paid');
                button.textContent = 'Paid';
            } else {
                button.classList.remove('paid');
                button.classList.add('unpaid');
                button.textContent = 'Unpaid';
            }
        }
    </script>

    <?php
    include('includes/scripts.php');
    include('includes/footer.php');
    ?>
</body>