<?php
// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Database connection details
$servername = "localhost";
$username = "atctgwlk_cpses_atozo2xp6z";
$password = "atc_tech_Academy";
$database = "atctgwlk_atc_academy";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL query to fetch data from the student_admissions table
$sql = "SELECT id,createdAt, head,details, voucherNumber, unit, price, tax, vat, tds, discount, total FROM expenses";
$result = $conn->query($sql);
?>

<?php
include('header.php'); 
include('navbar.php'); 
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ATC Tech Ltd Accounts Panel</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        body {
            font-family: 'Roboto', sans-serif;
            background-color: #f4f7f9;
            color: #333;
        }

        .container-fluid {
            padding: .5rem;
        }

        h2 {
            color: #0f79b9;
            margin-bottom: .5rem;
        }

        .expenses-table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0;
            background-color: white;
            box-shadow: 0 4px 6px rgba(0,0,0,0.1);
            border-radius: 8px;
            overflow: hidden;
            font-size: 14px;
            margin-bottom: 2rem;
        }

        .expenses-table th,
        .expenses-table td {
            padding: 0.75rem;
            text-align: left;
        }

        .expenses-table th {
            background-color: #0f79b9;
            color: white;
            font-weight: 500;
        }

        .expenses-table td {
            border-top: 1px solid #e0e0e0;
        }

        .expenses-table td input,
        .expenses-table td select {
            width: 100%;
            border: 1px solid #ccc;
            padding: 0.5rem;
            font-size: 14px;
            border-radius: 4px;
        }

        .save-btn, .upload-btn {
            background-color: #4CAF50;
            color: white;
            padding: 0.2rem;
            border: none;
            cursor: pointer;
            border-radius: 4px;
            transition: background-color 0.3s;
            font-size: 12px;
        }

        .save-btn:hover, .upload-btn:hover {
            background-color: #45a049;
        }

        @media (max-width: 768px) {
            .expenses-table {
                font-size: 12px;
            }

            .expenses-table th,
            .expenses-table td {
                padding: 0.5rem;
            }
        }

        .image-preview {
            max-width: 100px;
            max-height: 100px;
            margin-top: 5px;
        }
    </style>
</head>

<body>
    <!-- Begin Page Content -->
    <div class="container-fluid">
        <!-- Page Heading -->
        <section id="expenses" style="margin-top: 2rem;">
            <h2>Add Expenses</h2>
            <div style="overflow-x: auto;">
                <form method="POST" action="submit_expense.php" enctype="multipart/form-data">
                <table class="expenses-table">
                    <thead>
                        <tr>
                            <th>Head</th>
                            <th>Details</th>
                            <th>Voucher Number</th>
                            <th>Unit</th>
                            <th>Price</th>
                            <th>Tax (%)</th>
                            <th>VAT (%)</th>
                            <th>TDS (%)</th>
                            <th>Discount</th>
                            <th>Total</th>
                            <th>Voucher Image</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody id="expenses-body">
                        
                        <tr>
                            <td>
                                <select name="head" id="head">
                                    <option value="Printing & Stationary">Printing & Stationary</option>
                                    <option value="Rent">Rent</option>
                                    <option value="IT">IT</option>
                                    <option value="Salary & Bonus">Salary & Bonus</option>
                                    <option value="TA/TD">TA/TD</option>
                                    <option value="Permanent Asset">Permanent Asset</option>
                                    <option value="Temporary Asset">Temporary Asset</option>
                                    <option value="Food & Tea">Food & Tea</option>
                                </select>
                            </td>
                            <td><input type="text" id="details" name="details"></td>
                            <td><input type="text" id="voucherNumber" name="voucherNumber"></td>
                            <td><input type="number" id="unit" name="unit" step="1"></td>
                            <td><input type="number" id="price" name="price" step="0.01"></td>
                            <td><input type="number" id="tax" name="tax" step="0.01" min="0" max="100"></td>
                            <td><input type="number" id="vat" name="vat" step="0.01" min="0" max="100"></td>
                            <td><input type="number" id="tds" name="tds" step="0.01" min="0" max="100"></td>
                            <td><input type="number" id="discount" name="discount" step="0.01"></td>
                            <td><input type="number" id="total" name="total" step="0.01" readonly></td>
                            <td>
                                <input type="file" id="voucherImage" name="voucherImage">
                            </td>
                            <td><input type="submit" name="submit" value="Submit"></td>
                        </tr>
                        
                    </tbody>
                </table>
                </form>
            </div>
        </section>

        <section id="saved-expenses" style="margin-top: 2rem;">
            <h2>Saved Expenses</h2>
            <div style="overflow-x: auto;">
                <table class="expenses-table">
                    <thead>
                        <tr>
                            <th>SL.</th>
                            <th>Date</th>
                            <th>Head</th>
                            <th>Details</th>
                            <th>Voucher Number</th>
                            <th>Unit</th>
                            <th>Price</th>
                            <th>Tax (%)</th>
                            <th>VAT (%)</th>
                            <th>TDS (%)</th>
                            <th>Discount</th>
                            <th>Total</th>
                        </tr>
                    </thead>
                    <tbody id="saved-expenses-body">
                        <?php
                        if ($result->num_rows > 0) {
                        while ($row = $result->fetch_assoc()) {
                        echo "<tr>";
                        echo "<td>" . $row["id"] . "</td>";
                        echo "<td>" . $row["createdAt"] . "</td>";
                        echo "<td>" . $row["head"] . "</td>";
                        echo "<td>" . $row["details"] . "</td>";
                        echo "<td>" . $row["voucherNumber"] . "</td>";
                        echo "<td>" . $row["unit"] . "</td>";
                        echo "<td>" . $row["price"] . "</td>";
                        echo "<td>" . $row["tax"] . "</td>";
                        echo "<td>" . $row["vat"] . "</td>";
                        echo "<td>" . $row["tds"] . "</td>";
                        echo "<td>" . $row["discount"] . "</td>";
                        echo "<td>" . $row["total"] . "</td>";
                        echo "</tr>";
        }
    } else {
        echo "<tr><td colspan='7'>No data available</td></tr>";
    }
    ?>

                    </tbody>
                </table>
            </div>
        </section>

        <script>
        document.addEventListener('DOMContentLoaded', function() {
            const tbody = document.getElementById('expenses-body');

           function calculateTotal(row) {
    const unit = parseInt(document.querySelector(`[name=unit]`).value) || 0;
    const price = parseFloat(document.querySelector(`[name=price]`).value) || 0;
    const taxPercent = parseFloat(document.querySelector(`[name=tax]`).value) || 0;
    const vatPercent = parseFloat(document.querySelector(`[name=vat]`).value) || 0;
    const tdsPercent = parseFloat(document.querySelector(`[name=tds]`).value) || 0;
    const discountPercent = parseFloat(document.querySelector(`[name=discount]`).value) || 0;

    const subtotal = unit * price;
    const taxAmount = subtotal * (taxPercent / 100);
    const vatAmount = subtotal * (vatPercent / 100);
    const tdsAmount = subtotal * (tdsPercent / 100);
    const subtotaltvt = taxAmount + vatAmount + tdsAmount;

    const discountAmount = subtotal * (discountPercent / 100);
    const total = subtotal + subtotaltvt - discountAmount;

    document.querySelector(`[name=total]`).value = total.toFixed(2);
}

        

            // Add event listeners to calculate total
            ['unit', 'price', 'tax', 'vat', 'tds', 'discount'].forEach(field => {
                document.querySelector(`[name=${field}]`).addEventListener('input', () => calculateTotal(1));
            });

          
        });

       
        </script>
    </div>
</body>
</html>

<?php
include('scripts.php');
include('footer.php');
?>