<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Registration</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss/dist/tailwind.min.css" rel="stylesheet">
    <link rel="stylesheet" href="styles.css">
</head>
<body class="font-sans bg-gradient-to-r from-blue-200 to-gray-500">
  <div class="flex items-center justify-center min-h-screen py-8">
    <div class="bg-white rounded-lg shadow-lg p-8 w-full max-w-md transform transition-all duration-300 hover:scale-105">
      <div class="flex justify-center mb-6">
        <img class="w-24 h-auto" src="assets/img/ATC-Logo.png" alt="Academy Logo">
      </div>
      <h2 class="text-3xl font-bold text-blue-700 mb-2 text-center">Admin Registration</h2>
      <p class="text-gray-600 text-center mb-6">Create your account</p>
      <form action="new_admin_process.php" method="POST" enctype="multipart/form-data" >
        <div class="mb-4">
          <label class="block text-gray-700 font-bold mb-2" for="jobId">Job ID</label>
          <input type="text" id="jobId" name="jobId" class="w-full p-3 border border-blue-300 rounded focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Enter your Job ID" required>
        </div>
        <div class="mb-4">
          <label class="block text-gray-700 font-bold mb-2" for="department">Department</label>
          <select id="department" name="department" class="w-full p-3 border border-blue-300 rounded focus:outline-none focus:ring-2 focus:ring-blue-500" required>
            <option value="" disabled selected>Select your department</option>
            <option value="HRM">HRM</option>
            <option value="Finance & Accounts">Finance & Accounts</option>
            <option value="IT">IT</option>
            <option value="Management">Management</option>
            <option value="Academy">Academy</option>
            <option value="Sales & Marketing">Sales & Marketing</option>
            <option value="Procurement">Procurement</option>
            <option value="Support">Support</option>
          </select>
        </div>
        <div class="mb-4">
          <label class="block text-gray-700 font-bold mb-2" for="userId">User ID</label>
          <input type="text" id="userId" name="userId" class="w-full p-3 border border-blue-300 rounded focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Enter your User ID" required>
        </div>
        <div class="mb-4">
          <label class="block text-gray-700 font-bold mb-2" for="password">Password</label>
          <input type="password" id="password" name="password" class="w-full p-3 border border-blue-300 rounded focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Enter your password" required>
        </div>
        <div class="mb-6">
          <label class="block text-gray-700 font-bold mb-2" for="confirmPassword">Confirm Password</label>
          <input type="password" id="confirmPassword" name="confirmPassword" class="w-full p-3 border border-blue-300 rounded focus:outline-none focus:ring-2 focus:ring-blue-500" placeholder="Confirm your password" required>
        </div>
        <button type="submit" class="w-full bg-blue-600 text-white p-3 rounded hover:bg-blue-500 transition duration-300">Register</button>
      </form>
      <p class="mt-6 text-center text-gray-700">Already have an account? <a href="https://atctechlimited.com/ltd/admin_login.php" class="text-blue-600 hover:underline">Login</a></p>
    </div>
  </div>
</body>
</html>