<?php
// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Database connection details
$servername = "localhost";
$username = "atctgwlk_cpses_atozo2xp6z";
$password = "atc_tech_Academy";
$database = "atctgwlk_atc_academy";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL query to fetch data from the student_admissions table
$sql = "SELECT id, applicantName, applicantMobile, courseName, courseFee, paymentAmount FROM student_admissions";
$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ATC Tech Ltd Admin Panel</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        .print-button {
            background-color: #0f79b9;
            color: white;
            border: none;
            padding: 0.5rem 1rem;
            border-radius: 0.25rem;
            cursor: pointer;
            margin-left: 0.5rem;
        }

        .print-button:hover {
            background-color: #0c5d8f;
        }
    </style>
</head>
<body style="font-family: 'Roboto', sans-serif; margin: 0; padding: 0; background-color: #f4f4f4;">
    <header style="background: linear-gradient(to bottom, #1e293b, #94a3b8); color: white; padding: 1rem;">
        <div style="max-width: 1200px; margin: 0 auto; display: flex; justify-content: space-between; align-items: center;">
            <img src="assets/img/ATC-Logo.png" alt="ATC-logo" style="width: 100px;">
            <h1 style="margin: 0;">Admin Panel</h1>
        </div>
    </header>

    <nav style="background-color: #0f79b9; padding: 0.5rem;">
        <ul style="list-style: none; padding: 0; margin: 0; display: flex; justify-content: center; gap: 1rem;">
            <li><a href="#dashboard" style="color: white; text-decoration: none; padding: 0.5rem 1rem; border-radius: 0.25rem; transition: background-color 0.3s;" onmouseover="this.style.backgroundColor='#0c5d8f'" onmouseout="this.style.backgroundColor=''">Dashboard</a></li>
            <li><a href="#students" style="color: white; text-decoration: none; padding: 0.5rem 1rem; border-radius: 0.25rem; transition: background-color 0.3s;" onmouseover="this.style.backgroundColor='#0c5d8f'" onmouseout="this.style.backgroundColor=''">Students</a></li>
            <li><a href="#courses" style="color: white; text-decoration: none; padding: 0.5rem 1rem; border-radius: 0.25rem; transition: background-color 0.3s;" onmouseover="this.style.backgroundColor='#0c5d8f'" onmouseout="this.style.backgroundColor=''">Courses</a></li>
        </ul>
    </nav>

    <main style="max-width: 1200px; margin: 2rem auto; padding: 0 1rem;">
        <section id="dashboard">
            <h2 style="color: #333;">Dashboard</h2>
            <div style="display: flex; gap: 1rem; flex-wrap: wrap;">
                <div style="flex: 1; background-color: white; padding: 1rem; border-radius: 0.5rem; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                    <h3 style="margin-top: 0;">Total Students</h3>
                    <p style="font-size: 2rem; font-weight: bold; color: #0f79b9;">250</p>
                </div>
                <div style="flex: 1; background-color: white; padding: 1rem; border-radius: 0.5rem; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                    <h3 style="margin-top: 0;">Active Courses</h3>
                    <p style="font-size: 2rem; font-weight: bold; color: #0f79b9;">10</p>
                </div>
                <div style="flex: 1; background-color: white; padding: 1rem; border-radius: 0.5rem; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                    <h3 style="margin-top: 0;">New Registrations</h3>
                    <p style="font-size: 2rem; font-weight: bold; color: #0f79b9;">25</p>
                </div>
            </div>
            <div style="margin-top: 2rem; background-color: white; padding: 1rem; border-radius: 0.5rem; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                <h3>Student Enrollment Trend</h3>
                <canvas id="enrollmentChart" width="400" height="200"></canvas>
            </div>
        </section>

        <section id="students" style="margin-top: 2rem;">
            <h2 style="color: #333;">Student List</h2>
            <table style="width: 100%; border-collapse: collapse; background-color: white; box-shadow: 0 2px 4px rgba(0,0,0,0.1);">
                <thead>
                    <tr style="background-color: #0f79b9; color: white;">
                        <th style="padding: 0.75rem; text-align: left;">ID</th>
                        <th style="padding: 0.75rem; text-align: left;">Name</th>
                        <th style="padding: 0.75rem; text-align: left;">Mobile</th>
                        <th style="padding: 0.75rem; text-align: left;">Course</th>
                        <th style="padding: 0.75rem; text-align: left;">Fee</th>
                        <th style="padding: 0.75rem; text-align: left;">Paid Amount</th>
                        <th style="padding: 0.75rem; text-align: left;">Actions</th>
                    </tr>
                </thead>
                <tbody id="student-table-body">
        <?php
        if ($result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row["id"] . "</td>";
                echo "<td>" . $row["applicantName"] . "</td>";
                echo "<td>" . $row["applicantMobile"] . "</td>";
                echo "<td>" . $row["courseName"] . "</td>";
                echo "<td>" . $row["courseFee"] . "</td>";
                echo "<td>" . $row["paymentAmount"] . "</td>";
                echo "<td><button onclick=\"printData(" . $row["id"] . ", '" . $row["applicantName"] . "', '" . $row["applicantMobile"] . "', '" . $row["courseName"] . "', " . floatval($row["courseFee"]) . ", " . floatval($row["paymentAmount"]) . ")\">Print</button></td>";
                echo "</tr>";
            }
        } else {
            echo "<tr><td colspan='7'>No data available</td></tr>";
        }
        ?>
    </tbody>
</table>

<script>
      function printData(id, name, mobile, course, fee, paid) {
  // Format the fee and paid values
  var formattedFee = "BDT " + fee.toLocaleString('en-US');
  var formattedPaid = "BDT " + paid.toLocaleString('en-US');

  var printContent = "<h1>Money Receipt</h1>";
  printContent += "<p>ID: " + id + "</p>";
  printContent += "<p>Name: " + name + "</p>";
  printContent += "<p>Mobile: " + mobile + "</p>";
  printContent += "<p>Course: " + course + "</p>";
  printContent += "<p>Fee: " + formattedFee + "</p>";
  printContent += "<p>Paid Amount: " + formattedPaid + "</p>";
  
  var printContent = `
    <html>
    <head>
      <title>Money Receipt</title>
      <style>
        body {
          font-family: Arial, sans-serif;
          margin: 0;
          padding: 0;
        }
        .container {
          max-width: 600px;
          margin: 0 auto;
          padding: 20px;
        }
        .logo {
          text-align: center;
          margin-bottom: 20px;
        }
        .logo img {
          max-width: 200px;
        }
        .table {
          width: 100%;
          border-collapse: collapse;
          text-align: center;
        }
        .table th, .table td {
          padding: 10px;
          border-bottom: 1px solid #ddd;
        }
      </style>
    </head>
    <body>
      <div class="container">
        <div class="logo">
          <img src="https://www.atctechlimited.com/ltd/assets/img/ATC-Logo.png" alt="Your Logo">
        </div>
        <h1 style="justify-content:center; text-align: center;">Money Receipt</h1>
        <table class="table">
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Mobile</th>
            <th>Course</th>
            <th>Fee</th>
            <th>Paid Amount</th>
          </tr>
          <tr>
            <td>${id}</td>
            <td>${name}</td>
            <td>${mobile}</td>
            <td>${course}</td>
            <td>${formattedFee}</td>
            <td>${formattedPaid}</td>
          </tr>
        </table>
      </div>
      <P>This Receipt is Sytem Generated</p>
    </body>
    </html>
  `;

  var printWindow = window.open('', 'PRINT', 'height=400,width=600');
  printWindow.document.write('<html><head><title>Money Receipt</title>');
  printWindow.document.write('</head><body>');
  printWindow.document.write(printContent);
  printWindow.document.write('</body></html>');
  printWindow.document.close();
  printWindow.focus();
  printWindow.print();
  printWindow.close();
}
    </script>
</body>
</html>