

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ATC Tech Ltd. Money Receipt</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.6;
            margin: 0;
            padding: 20px;
        }
        .receipt {
    max-width: 600px;
    margin: 0 auto;
    border: 2px solid #333;
    padding: 30px;
    position: relative;
   
    background-position: center; /* Center the image */
    background-size: 10%;
    background-attachment: fixed;
  
}
        .receipt::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: rgba(255, 255, 255, 0.9);
            z-index: -1;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        .logo {
            max-width: 200px;
            margin-bottom: 10px;
        }
        .title {
            font-size: 18px;
            font-weight: bold;
        }
        .content {
            margin-bottom: 20px;
        }
        .row {
            display: flex;
            justify-content: space-between;
            margin-bottom: 10px;
        }
        .label {
            font-weight: bold;
        }
        .signature {
            margin-top: 40px;
            text-align: right;
        }
        .footer {
            margin-top: 20px;
            text-align: center;
            font-size: 14px;
            color: #666;
        }
        .applicant-copy {
            font-weight: bold;
            margin-top: 20px;
            text-align: center;
            border:square;
        }
        #printButton {
            display: block;
            margin: 20px auto;
            padding: 10px 20px;
            font-size: 16px;
            background-color: #4CAF50;
            color: white;
            border: none;
            cursor: pointer;
        }
        @media print {
            #printButton {
                display: none;
            }
        }
    </style>
</head>
<body>
    <div class="receipt">
        <div class="header">
            <div>
                <a href="index.php"><img class="logo" src="assets/img/ATC-Logo.png" alt="ATC-logo"></a>
            </div>
            <div class="title">Money Receipt</div>
        </div>
        <div class="content">
            <div class="row">
                <span class="label">ID:</span>
                <span id="id"><?php echo htmlspecialchars($data['id']); ?></span>
            </div>
            <div class="row">
                <span class="label">Applicant Name:</span>
                <span id="name"><?php echo htmlspecialchars($data['applicantName']); ?></span>
            </div>
            <div class="row">
                <span class="label">Course Name:</span>
                <span id="course"><?php echo htmlspecialchars($data['courseName']); ?></span>
            </div>
            <div class="row">
                <span class="label">Course Fee:</span>
                <span id="fee"><?php echo htmlspecialchars($data['courseFee']); ?></span>
            </div>
            <div class="row">
                <span class="label">Payable Amount:</span>
                <span id="amount"><?php echo htmlspecialchars($data['payableAmount']); ?></span>
            </div>
        </div>
        <div class="signature">
            <div>Receiver's Signature</div>
           <div>.................................</div>
        </div>
        <div class="applicant-copy">
            APPLICANT COPY
        </div>
        <div class="footer">
            This receipt is auto-generated.
        </div>
    </div>
    <button onclick="window.print();" id="printButton">Print Receipt</button>

    <script>
        // Function to get URL parameters
        function getUrlParameter(name) {
            name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
            var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
            var results = regex.exec(location.search);
            return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
        }

        // Populate receipt with data from URL parameters
        document.getElementById('id').textContent = getUrlParameter('id');
        document.getElementById('name').textContent = getUrlParameter('applicantName');
        document.getElementById('course').textContent = getUrlParameter('courseName');
        document.getElementById('fee').textContent = '৳' + getUrlParameter('courseFee');
        document.getElementById('amount').textContent = '৳' + getUrlParameter('paymentAmount');
    </script>
</body>
</html>