<?php
session_start();
// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Database connection details
$servername = "localhost";
$username = "atctgwlk_cpses_atozo2xp6z";
$password = "atc_tech_Academy";
$database = "atctgwlk_atc_academy";

// Create connection
$conn = new mysqli($servername, $username, $password, $database);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['customer_mobile'])) {
    $phone = $_POST['customer_mobile'];

    // Use prepared statement to fetch data
    $stmt = $conn->prepare("SELECT applicantName, email, address, courseName, courseFee, discount, discountedAmount, paymentMethod, paymentAmount 
                             FROM student_admissions 
                             WHERE applicantMobile = ?");
    $stmt->bind_param("s", $phone); // "s" specifies the variable type => 'string'
    $stmt->execute();
    $result = $stmt->get_result();

    if ($row = $result->fetch_assoc()) {
        echo json_encode($row);
    } else {
        echo json_encode(['error' => 'No data found.']);
    }
    $stmt->close();
    exit; // Exit after sending JSON response
}
?>


<?php
if (isset($_SESSION["data"])) {
       if (basename($_SERVER['PHP_SELF']) != $_SESSION["data"]) {
            session_destroy();
       }
}
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="SSLCommerz">
    <title>Online Payment</title>
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #e0f2f1;
            margin: 0;
            padding: 20px;
        }
        .container {
            max-width: 600px;
            margin: auto;
            padding: 30px;
            border: 1px solid #ccc;
            border-radius: 8px;
        }
        .form-group {
            margin-bottom: 15px;
        }
        .form-title {
            background-color: #3498db;
            color: white;
            padding: 10px;
            text-align: center;
            border-radius: 5px 5px 0 0;
            margin: -20px -20px 20px -20px;
        }
        .form-group {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 15px;
        }
        .form-group label {
            width: 100%;
            padding-right: 10px;
            text-align: left;
            line-height: 30px;
        }
        .form-group input[type="text"],
        .form-group input[type="email"] {
            width: 100%;
            padding: 5px;
            border: 1px solid #ddd;
            border-radius: 3px;
            background-color: #f5f5f5;
        }
        .form-group.readonly input {
            background-color: #f0f0f0;
        }
        .submit-btn {
            background-color: #2ecc71;
            color: white;
            border: none;
            padding: 10px 20px;
            border-radius: 3px;
            cursor: pointer;
            width: 100%;
            margin-top: 15px;
        }
        .payment-channels {
            margin-top: 10px;
        }
        .channel-group {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
        }
        .channel-group img {
            width: 60px;
            height: 40px;
            object-fit: contain;
            border: 1px solid #ddd;
            border-radius: 5px;
            padding: 5px;
            background-color: white;
        }
        .terms {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-top: 15px;
        }
        .terms a {
            color: #3498db;
            text-decoration: none;
        }
        .term-label {
            display: flex;
            align-items: center;
        }
        .submit-btn {
            background-color: #28a745;
            color: white;
            padding: 10px 15px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .submit-btn:hover {
            background-color: #02330d;
        }
        .payment-header {
            margin: 0px 0; /* Adjust this value as needed */
        }

        /* Media Queries */
        @media (max-width: 600px) {
            .form-group input[type="text"],
            .form-group input[type="email"] {
                width: 100%;
                max-width: 300px;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="form-title">
            <img src="payment-icon.png" alt="Payment Icon" style="width: 25px; margin-left: 10px;vertical-align: middle; margin-right: 2px;">
            Online Payment
        </div>
        <form action="checkout_hosted.php" method="POST" class="">
            
            <div class="form-group readonly">
                <label for="customer_mobile">*Phone:</label>
                <input type="text" id="customer_mobile" name="customer_mobile" placeholder="Enter your phone number" required>
            </div>
            
             <div class="form-group readonly">
                <label for="customer_name">*Name:</label>
                <input type="text" id="customer_name" name="customer_name" placeholder="Enter full name" required readonly>
             </div>
            
             
            
            <div class="form-group readonly">
                <label for="customer_email">E-mail(optional):</label>
                <input type="email" id="customer_email" name="customer_email" placeholder="Enter your email address" readonly>
            </div>
           

            
            <div class="form-group readonly">
                <label for="address">*Address:</label>
                <input type="text" id="address" name="address" placeholder="Enter your address" required readonly>
            </div> 
            <div class="form-group readonly">
                <label for="courseName">*Course Name:</label>
                <input type="text" id="courseName" name="courseName" placeholder="Enter your address" required readonly>
            </div> 
            <div class="form-group readonly">
                <label for="courseFee">*Course Fee:</label>
                <input type="text" id="courseFee" name="courseFee" placeholder="Enter your address" required readonly>
            </div> 
            <div class="form-group readonly">
                <label for="discount">*Discount:</label>
                <input type="text" id="discount" name="discount" placeholder="Enter your address" readonly>
            </div> 
            <div class="form-group readonly">
                <label for="discountedAmount">*Discounted Amount:</label>
                <input type="text" id="discountedAmount" name="discountedAmount" placeholder="Enter your address" readonly>
            </div> 
            <div class="form-group readonly">
                <label for="paymentMethod">*Payment Method:</label>
                <input type="text" id="paymentMethod" name="paymentMethod" placeholder="Enter your address" required readonly>
            </div> 
            
             <div class="form-group readonly">
                <label for="total_amount">*Amount:</label>
                <input type="text" id="total_amount" name="amount" placeholder="Enter payment amount" required readonly>
            </div>
           
            <div class="terms">
                <input type="checkbox" id="terms" required>
                <label for="terms">I have read and agree to the <a href="https://www.atctechlimited.com/ltd/terms.php" >  <b>  Terms and Conditions   </b>  </a> <a href="https://www.atctechlimited.com/ltd/privacyPolicy.php">  <b>&nbsp; Privacy policy</b>     </a> <a href="https://www.atctechlimited.com/ltd/refund.php">  <b>&nbsp; Refund & Return Policy</b>     </a></label>
            </div>
            <div style="margin: 0 auto; display: flex; justify-content: center; margin-top: 20px;">
               <button class="btn btn-primary btn-lg btn-block" type="submit">Pay now</button>
            </div>
            </form>
    </div>
    <div class="container payment-channels">
        <div style="display: flex; justify-content: space-between; align-items: center; height: 50px; margin-bottom: 0px;">
            <h3 style="color: #3498db;">Payment Channels</h3>
            <span style="display: flex; justify-content: center; align-items: center; text-align: center;"><h3 style="color: #3498db; padding-left: 20px;">Verified by </h3>
                <img src="sslcom.png" style="width: 100px; margin-left: 10px;" alt="ssl logo">
            </span>
        </div>
        <div style="border: 1px solid #3498db; margin-bottom: 10px;"></div>
        <div style="padding-bottom: 10px;">Accepted Cards</div>
        <div class="channel-group">
            <img src="visa.png" alt="Visa">
            <img src="mastercard.png" alt="Mastercard">
            <img src="amex.png" alt="American Express">
            <img src="unionpay.png" alt="UnionPay">
            <img src="diners.png" alt="Diners Club">
            <img src="dbbl-nexus.png" alt="DBBL Nexus">
            <img src="QCash-Logo.svg" alt="Qcash">
        </div>
        <div style="padding-bottom: 10px; padding-top: 10px;">Mobile Banking</div>
        <div class="channel-group">
            <img src="bkash.png" alt="bKash">
            <img src="nagad-logo.png" alt="Nagad">
            <img src="rocket.png" alt="Rocket">
            <img src="upay.png" alt="Upay">
            <img src="surecash.jpg" alt="SureCash">
            <img src="mcash.png" alt="Mcash">
            <img src="mycash.png" alt="MyCash">
           
            <img src="fastcash.jpg" alt="Fast Cash">
            
        </div>
        <div style="padding-bottom: 10px; padding-top: 10px;">Internet Banking</div>
        <div class="channel-group">
            <img src="citytouch.png" alt="City Bank">
            <img src="brac-bank.png" alt="BRAC Bank">
            <img src="southeast-bank.png" alt="Southeast Bank">
            <img src="dhaka-bank.png" alt="Dhaka Bank">
            <img src="bank-asia.png" alt="Bank Asia">
            <img src="ab-bank.png" alt="AB Bank">
            <img src="mtb-bank.png" alt="MTB Bank">
            <img src="ebl-bank.jpg" alt="EBL Bank">
            <img src="ucb-bank.png" alt="UCB Bank">
            <img src="islami-bank-logo_.png" alt="Islami Bank">
            <img src="modhumoti.png" alt="Modhumoti Bank limited">
        </div>
        <div style="padding-bottom: 10px; padding-top: 10px;">E- Wallet</div>
        <div class="channel-group">
            <img src="ok-wallet.png" alt="Ok Wallet">
            <img src="brac-bank.png" alt="Dmoney">
            <img src="southeast-bank.png" alt="Islamin Wallet">
            <img src="dhaka-bank.png" alt="iPay">
            
        </div>
    </div>
    
    
    <!-- jQuery (ensure this is before Bootstrap's JS) -->
<script
			  src="https://code.jquery.com/jquery-3.7.1.js"
			  integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4="
			  crossorigin="anonymous"></script>

<!-- Popper.js for Bootstrap -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.11.8/umd/popper.js" integrity="sha512-1lWMocvtRTqMhN4gJ3/AC0+0u8xPdnXffWStm5lWyMwuHGMYEviq9hKHb6hYQRhfiPIJvf0nqJ8hHJ1fqOsYLQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<!-- Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js" integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy" crossorigin="anonymous"></script>
    
    
   <script>
        $(document).ready(function() {
            $('#customer_mobile').on('blur', function() {
                var phone = $(this).val();
                if (phone) {
                    $.ajax({
                        type: 'POST',
                        url: '', // Current file
                        data: { customer_mobile: phone },
                        dataType: 'json',
                        success: function(response) {
                            if (response.error) {
                                alert(response.error);
                            } else {
                                $('#customer_name').val(response.applicantName || '').prop('readonly', false);
                                $('#customer_email').val(response.email || '').prop('readonly', false);
                                $('#address').val(response.address || '').prop('readonly', false);
                                $('#courseName').val(response.courseName || '').prop('readonly', false);
                                $('#courseFee').val(response.courseFee || '').prop('readonly', false);
                                $('#discount').val(response.discount || '').prop('readonly', false);
                                $('#discountedAmount').val(response.discountedAmount || '').prop('readonly', false);
                                $('#paymentMethod').val(response.paymentMethod || '').prop('readonly', false);
                                $('#total_amount').val(response.paymentAmount || '').prop('readonly', false);
                            }
                        },
                        error: function(xhr, status, error) {
                            console.error('AJAX Error:', status, error);
                        }
                    });
                }
            });
        });
    </script>
    





</body>
</html>