<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Payment Method Selection</title>
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
            padding: 20px;
        }

        .container {
            width: 100%;
            max-width: 400px;
            border-radius: 8px;
            padding: 20px;
            box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.1),
                0 5px 12px -2px rgba(0, 0, 0, 0.1),
                0 18px 36px -6px rgba(0, 0, 0, 0.1);
        }

        .container .title {
            font-size: 20px;
            font-family: Arial, Helvetica, sans-serif;
            margin-bottom: 20px;
        }

        .container form input {
            display: none;
        }

        .container form .category {
            display: flex;
            flex-direction: column;
            gap: 15px;
        }

        .category label {
            height: 80px;
            padding: 10px;
            box-shadow: 0px 0px 0px 1px rgba(0, 0, 0, 0.2);
          
            align-items: center;
            cursor: pointer;
            border-radius: 5px;
            position: relative;
        }

        #nagad:checked~.category .nagadMethod,
        #ssl:checked~.category .sslMethod,
        #cash:checked~.category .cashMethod {
            box-shadow: 0px 0px 0px 1px #6064b6;
        }

        #nagad:checked~.category .nagadMethod .check,
        #ssl:checked~.category .sslMethod .check,
        #cash:checked~.category .cashMethod .check {
            display: block;
        }

        label .imgName {
            display: flex;
            align-items: center;
            gap: 20px;
        }

        .imgName span {
            font-family: Arial, Helvetica, sans-serif;
        }

        .imgName .imgContainer {
            width: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        img {
            width: 50px;
            height: auto;
        }

        .nagad img {
            width: 80px;
        }

        .ssl img {
            width: 65px;
        }

        .cash img {
            width: 80px;
        }

        .check {
            display: none;
            position: absolute;
            top: -4px;
            right: -4px;
        }

        .check i {
            font-size: 18px;
        }

        @media (min-width: 768px) {
            .container form .category {
                display: grid;
                grid-template-columns: repeat(2, 1fr);
            }

            .category label {
                height: 145px;
                padding: 20px;
                flex-direction: column;
                justify-content: center;
            }

            label .imgName {
                flex-direction: column;
                gap: 10px;
            }

            .imgName span {
                position: absolute;
                top: 72%;
                transform: translateY(-72%);
            }

            .imgName .imgContainer {
                position: absolute;
                top: 35%;
                transform: translateY(-35%);
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="title">
            <h4>Select a <span style="color: #6064b6">Payment</span> method</h4>
        </div>
        <form action="#">
            <input type="radio" name="payment" id="nagad">
            <input type="radio" name="payment" id="ssl">
            <input type="radio" name="payment" id="cash">
           
            <div class="category">
                <label for="nagad" class="nagadMethod">
                    <div class="imgName">
                        <div class="imgContainer visa">
                            <img src="nagad-logo.png" alt="nagad">
                        </div>
                        <span class="name" style="text-align: center;">Nagad<br><p style="font-size: 10px;">(unavailable)</p></span>
                    </div>
                    <span class="check"><i class="fa-solid fa-circle-check" style="color: #6064b6;"></i></span>
                </label>
                <label for="ssl" class="sslMethod">
                    <a href="paymentgateway.php"><div class="imgName">
                        <div class="imgContainer ssl">
                            <img src="ssl.jpg" alt="SSLCommerz">
                        </div>
                        <span class="name" style="text-align: center; margin-top: 15px;">Payment Gateway<br></span>
                    </div></a>
                    <span class="check"><i class="fa-solid fa-circle-check" style="color: #6064b6;"></i></span>
                </label>
                <label for="cash" class="cashMethod">
                    <a href="https://www.atctechlimited.com/ltd/DataSubmission.php">
                        <div class="imgName">
                        <div class="imgContainer paypal">
                            <img src="cash-logo.png" alt="Cash payment">
                        </div>
                        <span class="name">Cash Payment</span>
                    </div>
                    </a>
                    <span class="check"><i class="fa-solid fa-circle-check" style="color: #6064b6;"></i></span>
                </label>
            </div>
        </form>
    </div>
</body>
</html>